Quickstart
Get API credentials: Your first step to working with Cross River APIs is to register for API credentials.
Get access token: Once you've received your API credentials and before you can use our APIs, you must get an access token using the client_id and client_secret you received when you registered.
Use access token: Once you've successfully authenticated, an access_token is returned to you. Include this token in the header of your API calls.
Before you start
Cross River APIs are for Cross River partners. You need API credentials from the Cross River Integration team, and payment calls need a Cross River customer and account number to send from.
Auth server and API URLs
Environment | Auth server URL | API base URL |
|---|---|---|
Sandbox | ||
Production | Provided with production credentials |
API paths follow this pattern {base URL}/{service}/v1/{resource}, for example /wires/v1/payments
Header | Value |
|---|---|
Authorization | Bearer {access_token} |
Content-Type | application/json on the requests with a body |
Idempotency-Key | Optional. A UUID, on POST endpoints that support it |
Tokens last 60 minutes. Actual expiration duration is also returned in the call to get a token. Reuse a token until shortly before it expires, rather than requesting a new one for each call.
Make your first call
curl -X POST https://idptest.crbcos.com/connect/token \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d grant_type=client_credentials \
-d client_id=$CLIENT_ID \
-d client_secret=$CLIENT_SECRETcurl "https://sandbox.crbcos.com/wires/v1/abadirectory?searchTerm=021214891" \
-H "Authorization: Bearer $TOKEN"Using an AI assistant
Connect your MCP client to https://docs.crossriver.com/apis for the full API reference. A connection to https://docs.crossriver.com reaches only this Get started section.
Webhooks: Webhooks are an important component of any integration with Cross River. While APIs let you request data on demand, webhooks push real-time updates directly to your system—eliminating the need for constant polling and reducing latency.
Sandbox environments: The sandbox is a completely isolated environment, so feel free to experiment.
Postman collection: To make development easier, we’ve put together a Postman collection with pre-built requests for all the Cross River API endpoints.